package com.example.getweather.job;

import com.example.getweather.service.GetWeather;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


@Slf4j
@Service
@EnableScheduling
public class Download {
    @Resource
    private GetWeather getWeather;

    //每天0点下载数据     2025-02-10 应窦哥要求 小时气象源切换为xmo 日的还用彩云
    //@Scheduled(fixedDelay = 600000000)
    @Scheduled(cron = "0 40 6,12 * * ?")
    public void download() {
        getWeather.download();
    }
}
